#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <iostream>
#include <assert.h>

// Included files for OpenGL Rendering
#include <GL/gl.h>
#include <GL/glut.h>

#include "argparser.h"
#include "ifs.h"
#include "glCanvas.h"

// ====================================================================
// ====================================================================

int main(int argc, char *argv[]) {
  ArgParser *args = new ArgParser(argc, argv);
  IFS *ifs = new IFS(args);
  glutInit(&argc, argv);

  if (args->gui) {
    GLCanvas::initialize(args,ifs); 
  } else {
    ifs->Render();
  }

  delete ifs;
  delete args;
  return 0;
}

// ====================================================================
// ====================================================================

